Subject: Re: Stupid netstat question

From: Nivedita Singhvi <[email-masked]>
Date: Mon, 21 Oct 2002 14:16:33 -0700

Ian Nelson wrote:
> 
> What exactly does the TCPSchedulerFailed metric mean?

> I'm building a network appliance that is doing a lot of nmap and nessus
> type stuff and I'm getting an extreme number of TCPSchedulerFailed and
> TCPAbortOnData.  I've been tracking what I think is a bug in an Ethernet
> driver but I'm starting to think it's a software problem in application
> land.

Its the number of packets that are prequeued (partially completed
tcp processing, waiting for a recvmsg to complete & send ack etc)
when the delayed ack timer goes off. i.e I think, the thinking is
this shouldnt happen, since the delayed ack timer really shouldnt 
go off - the receiver should have picked up the skb's and sent 
the acks. I'm probably off by a mile here..Dont know.

It may be related to the AbortOnData counts. Are you closing apps
with linger off or something?

thanks,
Nivedita